打印

lnmp1.3 nginx 和php 安装失败

lnmp1.3 nginx 和php 安装失败

  •                         操作系统                        CentOS 6.7 32位
  •                         CPU                        1核
  •                         内存                        1GB
附件: 您所在的用户组无法下载或查看附件

TOP

引用:
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package openssl-devel.i686 0:1.0.1e-48.el6_8.3 will be installed
--> Processing Dependency: krb5-devel for package: openssl-devel-1.0.1e-48.el6_8.3.i686
--> Running transaction check
---> Package krb5-devel.i686 0:1.10.3-57.el6 will be installed
--> Processing Dependency: krb5-libs = 1.10.3-57.el6 for package: krb5-devel-1.10.3-57.el6.i686
--> Processing Dependency: libselinux-devel for package: krb5-devel-1.10.3-57.el6.i686
--> Processing Dependency: keyutils-libs-devel for package: krb5-devel-1.10.3-57.el6.i686
--> Running transaction check
---> Package keyutils-libs-devel.i686 0:1.4-5.el6 will be installed
---> Package krb5-libs.i686 0:1.10.3-42.el6 will be updated
---> Package krb5-libs.i686 0:1.10.3-57.el6 will be an update
---> Package libselinux-devel.i686 0:2.0.94-7.el6 will be installed
--> Processing Dependency: libselinux = 2.0.94-7.el6 for package: libselinux-devel-2.0.94-7.el6.i686
--> Processing Dependency: libsepol-devel >= 2.0.32-1 for package: libselinux-devel-2.0.94-7.el6.i686
--> Processing Dependency: pkgconfig(libsepol) for package: libselinux-devel-2.0.94-7.el6.i686
--> Running transaction check
---> Package libselinux.i686 0:2.0.94-5.8.el6 will be updated
--> Processing Dependency: libselinux = 2.0.94-5.8.el6 for package: libselinux-utils-2.0.94-5.8.el6.i686
---> Package libselinux.i686 0:2.0.94-7.el6 will be an update
---> Package libsepol-devel.i686 0:2.0.41-4.el6 will be installed
--> Running transaction check
---> Package libselinux-utils.i686 0:2.0.94-5.8.el6 will be updated
---> Package libselinux-utils.i686 0:2.0.94-7.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package                  Arch      Version                  Repository    Size
================================================================================
Installing:
openssl-devel            i686      1.0.1e-48.el6_8.3        updates      1.2 M
Installing for dependencies:
keyutils-libs-devel      i686      1.4-5.el6                os            29 k
krb5-devel               i686      1.10.3-57.el6            os           503 k
libselinux-devel         i686      2.0.94-7.el6             os           137 k
libsepol-devel           i686      2.0.41-4.el6             os            64 k
Updating for dependencies:
krb5-libs                i686      1.10.3-57.el6            os           778 k
libselinux               i686      2.0.94-7.el6             os           109 k
libselinux-utils         i686      2.0.94-7.el6             os            82 k

Transaction Summary
================================================================================
Install       5 Package(s)
Upgrade       3 Package(s)

Total size: 2.8 M
Total download size: 1.2 M
Downloading Packages:
http://mirrors.tencentyun.com/centos1/6/os/i386/Packages/keyutils-libs-devel-1.4-5.el6.i686.rpm: [Errno 12] Timeout on http://mirrors.tencentyun.com/centos1/6/os/i386/Packages/keyutils-libs-devel-1.4-5.el6.i686.rpm: (28, 'connect() timed out!')
Trying other mirror.


Error Downloading Packages:
  keyutils-libs-devel-1.4-5.el6.i686: failure: Packages/keyutils-libs-devel-1.4-5.el6.i686.rpm from os: [Errno 256] No more mirrors to try.


checking for pkg-config... /usr/bin/pkg-config
configure: error: Cannot find OpenSSL's <evp.h>

./configure: error: SSL modules require the OpenSSL library.
You can either do not enable the modules, or install the OpenSSL library
into the system, or build the OpenSSL library statically from the source
with nginx by using --with-openssl=<path> option.
安装依赖包时系统有问题无法下载依赖包导致的

TOP